### Enumeration

# Fwupd Status

since: 2.0

#### Declaration

    enum Fwupd.Status

#### Description [src]

The flags to show daemon status.

Available since: 2.0

#### Members

`FWUPD_STATUS_UNKNOWN`

  Unknown state.

  - Value: `0`
  - Nickname: `None`
  - Available since: 0.1.1
`FWUPD_STATUS_IDLE`

  Idle.

  - Value: `1`
  - Nickname: `None`
  - Available since: 0.1.1
`FWUPD_STATUS_LOADING`

  Loading a resource.

  - Value: `2`
  - Nickname: `None`
  - Available since: 0.1.1
`FWUPD_STATUS_DECOMPRESSING`

  Decompressing firmware.

  - Value: `3`
  - Nickname: `None`
  - Available since: 0.1.1
`FWUPD_STATUS_DEVICE_RESTART`

  Restarting the device.

  - Value: `4`
  - Nickname: `None`
  - Available since: 0.1.1
`FWUPD_STATUS_DEVICE_WRITE`

  Writing to a device.

  - Value: `5`
  - Nickname: `None`
  - Available since: 0.1.1
`FWUPD_STATUS_DEVICE_VERIFY`

  Verifying (reading) a device.

  - Value: `6`
  - Nickname: `None`
  - Available since: 0.1.1
`FWUPD_STATUS_SCHEDULING`

  Scheduling an update for installation on reboot.

  - Value: `7`
  - Nickname: `None`
  - Available since: 0.1.1
`FWUPD_STATUS_DOWNLOADING`

  A file is downloading.

  - Value: `8`
  - Nickname: `None`
  - Available since: 0.9.4
`FWUPD_STATUS_DEVICE_READ`

  Reading from a device.

  - Value: `9`
  - Nickname: `None`
  - Available since: 1.0.0
`FWUPD_STATUS_DEVICE_ERASE`

  Erasing a device.

  - Value: `10`
  - Nickname: `None`
  - Available since: 1.0.0
`FWUPD_STATUS_WAITING_FOR_AUTH`

  Waiting for authentication.

  - Value: `11`
  - Nickname: `None`
  - Available since: 1.0.0
`FWUPD_STATUS_DEVICE_BUSY`

  The device is busy.

  - Value: `12`
  - Nickname: `None`
  - Available since: 1.0.1
`FWUPD_STATUS_SHUTDOWN`

  The daemon is shutting down.

  - Value: `13`
  - Nickname: `None`
  - Available since: 1.2.1
`FWUPD_STATUS_WAITING_FOR_USER`

  Waiting for an interactive user action.

  - Value: `14`
  - Nickname: `None`
  - Available since: 1.9.8